%define upstream_name    Internals
%define upstream_version 1.1

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Write-protect variables, manipulate refcounts
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module allows you to write-protect and write-enable your Perl
variables, objects and data structures.

Moreover, the reference count of any Perl variable can be read and set.

You can never pass the object directly on which to perform the desired
action, you always have to pass a reference to the variable or data
structure in question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt Artistic.txt GNU_GPL.txt CHANGES.txt
%{_mandir}/man3/*
%perl_vendorarch/Internals.pm
%perl_vendorarch/auto/Internals


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-5.mga3
+ Revision: 368746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.100.0-4.mga3
+ Revision: 250781
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.100.0-3.mga2
+ Revision: 104687
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 30633
- mageia rebuild
- imported package perl-Internals

